"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.camel = void 0;
var camel_like_1 = require("./internal/camel-like");
/**
 * Convert a string to camel name-style.
 *
 * example:
 * ```
 * nameStylesIsAGoodLibrary
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with camel case string.
 */
function camel(s) {
    return (0, camel_like_1.toCamelLike)(s).replace(/^[A-Z]/, function (ch) { return ch.toLowerCase(); });
}
exports.camel = camel;
