"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constant = void 0;
var snake_1 = require("./snake");
var underscore_1 = require("./underscore");
/**
 * Convert a string C/C++ constant-style.
 *
 * example:
 * ```
 * NAME_STYLES_IS_A_GOOD_LIBRARY
 * __NAME_STYLES___IS_A_GOOD_LIBRARY
 * ```
 *
 * @param {string} s source string
 * @param {boolean} isKeepSpecial predicate if keep leading and continues underlines.
 * @return {string} converted result with C/C++ constant style string.
 */
function constant(s, isKeepSpecial) {
    if (isKeepSpecial === void 0) { isKeepSpecial = false; }
    var convert = isKeepSpecial ? underscore_1.underscore : snake_1.snake;
    return convert(s).toUpperCase();
}
exports.constant = constant;
