"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hyphen = exports.kebab = void 0;
var snake_like_1 = require("./internal/snake-like");
/**
 * Convert a string to kebab splitting words in lowercase.
 *
 * example:
 * ```
 * name-styles-is-a-good-library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with kebab splitting words in lowercase.
 */
function kebab(s) {
    return (0, snake_like_1.toSnakeLike)(s).replace(/_/g, "-");
}
exports.kebab = kebab;
exports.hyphen = kebab;
