"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pascal = void 0;
var camel_like_1 = require("./internal/camel-like");
/**
 * Convert a string to Pascal name-style.
 *
 * example:
 * ```
 * NameStylesIsAGoodLibrary
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with Pascal-style case string.
 */
function pascal(s) {
    return (0, camel_like_1.toCamelLike)(s).replace(/^[a-z]/, function (ch) { return ch.toUpperCase(); });
}
exports.pascal = pascal;
