"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.underscore = void 0;
var defines_1 = require("./internal/defines");
/**
 * Convert a string to underline splitting words in lowercase, with keeping all
 * leading underlines and continues underlines.
 *
 * example:
 * ```
 * _name_styles___is_a_good_library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with underline splitting words in lowercase.
 */
function underscore(s) {
    return s
        .replace(/[-\s]/g, "_")
        .replace(defines_1.WORD_REGEX, function (ch) { return "_" + ch; })
        .replace(/(^|_)_(?=[A-Z])/g, "$1")
        .toLowerCase();
}
exports.underscore = underscore;
