import { toCamelLike } from "./internal/camel-like";
/**
 * Convert a string to camel name-style.
 *
 * example:
 * ```
 * nameStylesIsAGoodLibrary
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with camel case string.
 */
export function camel(s) {
    return toCamelLike(s).replace(/^[A-Z]/, ch => ch.toLowerCase());
}
