import { toCamelLike } from "./internal/camel-like";
/**
 * Convert a string to Pascal name-style.
 *
 * example:
 * ```
 * NameStylesIsAGoodLibrary
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with Pascal-style case string.
 */
export function pascal(s) {
    return toCamelLike(s).replace(/^[a-z]/, ch => ch.toUpperCase());
}
