/**
 * Convert a string C/C++ constant-style.
 *
 * example:
 * ```
 * NAME_STYLES_IS_A_GOOD_LIBRARY
 * __NAME_STYLES___IS_A_GOOD_LIBRARY
 * ```
 *
 * @param {string} s source string
 * @param {boolean} isKeepSpecial predicate if keep leading and continues underlines.
 * @return {string} converted result with C/C++ constant style string.
 */
export declare function constant(s: string, isKeepSpecial?: boolean): string;
